<?php

namespace Shpopping\Product\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Shpopping\Product\Models\Product;


class ProductAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'shpopping.product.product';
    protected $eventClass = \Shpopping\Product\Events\ProductAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Product $product, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $product;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Product $product, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $product = $product->create($attributes);
        return $product;
    }

    public function update(Product $product, array $request)
    {
        $attributes = $request;
        $product->update($attributes);
        return $product;
    }

    public function destroy(Product $product, array $request)
    {
        $product->delete();
        return $product;
    }

    public function copy(Product $product, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $product = $product->replicate();
            $product->created_at = Carbon::now();
            $product->save();
            return $product;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $product->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $product;
    }


}
